#include "colors.h"
#include "driverlib.h"

int 
Color_table_float (void)
{
	return(-1) ;
}

int 
Color_table_fixed (void)
{
/* Generate lookup for "standard" colors */
	assign_standard_color(RED,     _get_lookup_for_color(255,   0,   0)) ;
	assign_standard_color(ORANGE,  _get_lookup_for_color(255, 128,   0)) ;
	assign_standard_color(YELLOW,  _get_lookup_for_color(255, 255,   0)) ;
	assign_standard_color(GREEN,   _get_lookup_for_color(  0, 255,   0)) ;
	assign_standard_color(BLUE,    _get_lookup_for_color(  0,   0, 255)) ;
	assign_standard_color(INDIGO,  _get_lookup_for_color(  0, 128, 255)) ;
	assign_standard_color(VIOLET,  _get_lookup_for_color(255,   0, 255)) ;
	assign_standard_color(BLACK,   _get_lookup_for_color(  0,   0,   0)) ;
	assign_standard_color(WHITE,   _get_lookup_for_color(255, 255, 255)) ;
	assign_standard_color(GRAY,    _get_lookup_for_color(175, 175, 175)) ;
	assign_standard_color(BROWN,   _get_lookup_for_color(180,  77,  25)) ;
	assign_standard_color(MAGENTA, _get_lookup_for_color(255,   0, 128)) ;
	assign_standard_color(AQUA,    _get_lookup_for_color(100, 128, 255)) ;

	/* by cho; 2001/08/08 */
/* Generate lookup for "fixed" colors */
	assign_fixed_color(RED,     _get_lookup_for_color(255,   0,   0)) ;
	assign_fixed_color(ORANGE,  _get_lookup_for_color(255, 128,   0)) ;
	assign_fixed_color(YELLOW,  _get_lookup_for_color(255, 255,   0)) ;
	assign_fixed_color(GREEN,   _get_lookup_for_color(  0, 255,   0)) ;
	assign_fixed_color(BLUE,    _get_lookup_for_color(  0,   0, 255)) ;
	assign_fixed_color(INDIGO,  _get_lookup_for_color(  0, 128, 255)) ;
	assign_fixed_color(VIOLET,  _get_lookup_for_color(255,   0, 255)) ;
	assign_fixed_color(BLACK,   _get_lookup_for_color(  0,   0,   0)) ;
	assign_fixed_color(WHITE,   _get_lookup_for_color(255, 255, 255)) ;
	assign_fixed_color(GRAY,    _get_lookup_for_color(175, 175, 175)) ;
	assign_fixed_color(BROWN,   _get_lookup_for_color(180,  77,  25)) ;
	assign_fixed_color(MAGENTA, _get_lookup_for_color(255,   0, 128)) ;
	assign_fixed_color(AQUA,    _get_lookup_for_color(100, 128, 255)) ;
	/**/

	return(0) ;
}

int 
_get_lookup_for_color (int red, int grn, int blu)
{
	return (red<<16) + (grn<<8) + blu ;
}

int 
get_table_type (void)
{
	return FIXED ;
}
