extern "C" {
#include "includes.h"
}

#include <qpainter.h>
#include <qcolor.h>
#include "local_cpp.h"

/* draw a line between two given points in the current color. */

int draw_line (int cur_x, int cur_y, int x, int y)
{
	QColor color(current_color) ;

	QPainter *bp = window->getBufferPainter() ;
	QPainter *wp = window->getWindowPainter() ;

	bp->setPen(color) ;
	wp->setPen(color) ;

	bp->drawLine(cur_x, cur_y, x, y) ;
	wp->drawLine(cur_x, cur_y, x, y) ;

    return 0;
}
