extern "C" {
#include <stdio.h>
#include <stdlib.h>
#include "includes.h"
#include "driver.h"
}

#include <qpainter.h>
#include <qpoint.h>
#include <qcolor.h>
#include "local_cpp.h"

static void DrawPolyline(QPointArray &a)
{
	QColor color(current_color) ;

	QPainter *bp = window->getBufferPainter() ;
	QPainter *wp = window->getWindowPainter() ;

	bp->setPen(color) ;
	wp->setPen(color) ;

	bp->drawPolyline(a) ;
	wp->drawPolyline(a) ;
}

int Polyline_abs (int *xarray, int *yarray, int number)
{
	QPointArray a(number) ;

	for ( int i=0; i<number; ++i ) {
		a.setPoint(i, xarray[i], yarray[i]) ;
	}

	DrawPolyline(a) ;

    return 0;
}

int Polyline_rel (int *xarray, int *yarray, int number)
{
	QPointArray a(number) ;

	for ( int i=0; i<number; ++i ) {
		a.setPoint(i, xarray[i]+cur_x, yarray[i]+cur_y) ;
	}

	DrawPolyline(a) ;

    return 0;
}
