#include "Server.h"
#include <iostream>

extern "C" {
#include <unistd.h>
#include "driverlib.h"
}

DriverServer::DriverServer(int fd)
{
	setSocket(fd) ;
}

void DriverServer::newConnection(int sock)
{
	DriverSocket *socket = new DriverSocket() ;
	socket->setSocket(sock) ;

	Client_Open() ;

	connect(socket, SIGNAL(readyRead()), this, SLOT(slotIncomingData())) ;
}

void DriverServer::slotIncomingData()
{
	DriverSocket *socket = reinterpret_cast<DriverSocket*>(
						const_cast<QObject*>(sender())) ;

	if ( socket->process_data() != 0 ) {
		socket->close() ;
	}
}
