#ifndef DRIVERSOCKET_H
#define DRIVERSOCKET_H

#include <qsocket.h>

extern "C" {
#include <gis.h>
#include <graph.h>
#include <driverlib.h>
#include <driver.h>
#include <pad.h>
#include <utils.h>
extern void Respond(void) ;
}

class DriverSocket : public QSocket
{
public:
	DriverSocket() ;
	~DriverSocket() ;
	int process_data(void) ;

private:
	int read1(char *) ;
	int get1(char *) ;
	int rec(void *, int) ;
	int rectext(char **, int *) ;
	int _send(void *, int) ;
	int sendtext(char *s) ;
	int RESULT(int n) ;
	int get_command(char *c) ;
#ifdef QWS
	int process_command(char c, bool doit) ;
#else
	int process_command(char c) ;
#endif

	char *inbuf ;
	int n_read, maxbuf, start ;
	int atbuf ;
	char current_command;
	int eofile ;

	char lc;
};

#endif
